package com.fjhx.purchase.service.refund;

import com.fjhx.purchase.entity.refund.po.RefundDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.refund.vo.RefundDetailVo;
import com.fjhx.purchase.entity.refund.dto.RefundDetailSelectDto;
import com.fjhx.purchase.entity.refund.dto.RefundDetailDto;


/**
 * <p>
 * 退款明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface RefundDetailService extends BaseService<RefundDetail> {

    /**
     * 退款明细分页
     */
    Page<RefundDetailVo> getPage(RefundDetailSelectDto dto);

    /**
     * 退款明细明细
     */
    RefundDetailVo detail(Long id);

    /**
     * 退款明细新增
     */
    void add(RefundDetailDto refundDetailDto);

    /**
     * 退款明细编辑
     */
    void edit(RefundDetailDto refundDetailDto);

    /**
     * 退款明细删除
     */
    void delete(Long id);

}
